更新 Ruby 后 gem install 找不到 binary

我一直是用 rbenv 的,直到这次更新了 cocoapods 后,执行报错了,当然,目测应该是我的 ruby 环境太旧导致的,于是我尝试 rbenv install 3.0.2 ,但很遗憾,报错了,去 rbenv 的官方仓库看了看,上一个版本还是 2019年……好吧,放弃它,删掉所有的版本后,我发现其实我一直用 brew 装了最新版的 ruby,就直接用起来了。

但遇到了一个问题,使用这个 ruby 安装 gem 后,所有成功安装的 gem 都找不到可执行文件。显然,brew 的安装提示中的运行环境是不对的,这里我们先用 which gem 确认执行的是我们新安装的版本,而不是 macOS 系统自带的 ruby 版本。然后用 gem env 查看当前运行环境,找到其中一个字段 - EXECUTABLE DIRECTORY: 这里的路径就是可执行文件的路径了,只要把这后面的路径添加到你的 shell,就完美了。

当然,你也可以用命令 gem environment gemdir 直接输出。

本文由 落格博客 原创撰写:落格博客 » 更新 Ruby 后 gem install 找不到 binary

转载请保留出处和原文链接:https://www.logcg.com/archives/3524.html

作者:落格博客

如非声明,本人所著文章均为原创手打,转载请注明本页面链接和我的名字。

发表评论

您的电子邮箱地址不会被公开。 必填项已用*标注